Kerbal Space Program - Bug #20513

SAS target tracking alignment error when controlling from off-axis docking ports
12/02/2018 10:20 PM - hermanpetri@hotmail.com
Description

If you are using SAS target tracking to align with a target craft, and have selected "control from here" using a docking port that is not
aligned with the central axis of your craft, then the SAS targeting will not properly calculate the angle and will likely cause your craft
to face in the wrong direction.

This is because SAS target tracking seems to calculate the angle towards the target using the root part of the craft as the starting
point rather than using the controlling part as a starting point. If while in SAS target tracking mode you chose to "control here" from a
docking port not aligned with the central axis of the craft then you craft will continually try to rotate around the target because it is
trying to aim the root part of your vehicle into alignment with your target which is not in line with your control point. This makes it
impossible to use SAS target tracking to dock using an off-axis docking port.

If the root part of the vehicle is reassigned to the desired off-axis docking port then the ship is able to dock properly using SAS target
tracking, however this is not possible while in flight and cannot be used as a legitimate work around.

In the image below, in an unmodded game, you can see that an off-axis docking port is selected as a control point, and SAS target
tracking is activated, but the craft is not aiming the docking port at the targeted craft. Instead, although the craft is being aimed in the
same direction as the controlling docking port, it is the location of the probe core that is being used as the starting line for docking
alignment because the probe core is the root part in this vessel. These craft continued to circle each other as the SAS tried to rotate
the probe core in line with the targeted port instead of the controlling docking port.
Related issues:
Has duplicate Kerbal Space Program - Bug #21661: SAS Target Tracking not corr... Duplicate 03/23/2019

History

#1 - 12/12/2018 07:36 AM - Anth12

- File target bug save.sfs added

- File Confirmed Screenshot.png added

- Status changed from New to Confirmed
- % Done changed from 0 to 10

Clean Install 1.5.1.2335 + 1.5.1 MH Steam intergrated (not copied out to another folder) no mods

MY ACTION: Copied the craft in the screenshot the best | could and tested it in KSP by creating the crafts and setting orbit for one
and doing a debug rendezvous to it with the other.

SAVE ATTACHED: target bug save.sfs is attached for testing

Confirmed

#2 - 12/12/2018 08:22 AM - Anth12
- File Bug Ship 1.craft added

Heres a copy of the test ship. Root Part is on the end. Will do further testing later

#3 - 12/13/2018 08:01 AM - Anth12
- File End Probe Core Root.png added

- File Side Docking Port 1.png added

- File Side Docking Port 2.png added

- File Side Docking Port 3.png added

- File Middle Probe Core Root.png added
- File Root Front Probe Core.sfs added

- File Root Middle Probe Core.sfs added

Looked to simplify this with rovers on a 2D plane.

Screenshots**
End Probe Core Root:

One of the side docking ports has been set to 'control from here'
Navball isn't pointing in the right direction.
Probe core that is the root part is 90 degrees to the docking port that is targeted

Side Docking Port 1 + 2 + 3:

Look at the Target Marker when control from here is changed on the docking ports that are facing the targeted ship

Middle Probe Core Root:

*To demonstrate that the root part is the focus of orientation

Save Files:*++

Both are from the screen shots.
Friction has been set to Zero so the ship kind of acts like a compass.

#5 - 04/26/2020 09:22 AM - AHHans

From the 1.9.0 changelog:

* Fix SAS target mode misalignment when control point is not the vessel root

| also just gave it a try in 1.9.1 in comparison to 1.8.1, and indeed this seems to be fixed now. (As well as the misalignment of the prograde marker on

the navball in the same situation.)

So please check that again, but | think that this bug can be closed.

#6 - 05/20/2020 09:50 PM - Anonymous

It is fixed for me as well, in version 1.9.1

#7 - 09/01/2020 12:45 PM - Robert.Keech

- Has duplicate Bug #21661: SAS Target Tracking not correct with offcenter control point added
